# Class RcsbFvStateManager

#### Hierarchy

- RcsbFvStateManager

#### Implements

- RcsbFvStateInterface

- Defined in src/RcsbFvState/RcsbFvStateManager.ts:13

#####
Index

### Constructors

constructor

### Properties

assemblyModelSate
pfvContext
selectionState
subject

### Methods

next
subscribe
unsubscribe

## Constructors

### constructor

- new RcsbFvStateManager(): RcsbFvStateManager

- #### Returns RcsbFvStateManager

## Properties

### `Readonly` assemblyModelSate

assemblyModelSate: AssemblyModelSate = ...

Implementation of RcsbFvStateInterface.assemblyModelSate

- Defined in src/RcsbFvState/RcsbFvStateManager.ts:15

### `Readonly` pfvContext

pfvContext: DataContainer<{
asymId?: string;
entryId: string;
operator?: OperatorInfo;
}> = ...

#### Type declaration

- ##### `Optional` asymId?: string

- ##### entryId: string

- ##### `Optional` operator?: OperatorInfo

Implementation of RcsbFvStateInterface.pfvContext

- Defined in src/RcsbFvState/RcsbFvStateManager.ts:17

### `Readonly` selectionState

selectionState: RcsbFvSelectorManager = ...

Implementation of RcsbFvStateInterface.selectionState

- Defined in src/RcsbFvState/RcsbFvStateManager.ts:16

### `Readonly` subject

subject: Subject<RcsbFvStateType<any, any>> = ...

Implementation of RcsbFvStateInterface.subject

- Defined in src/RcsbFvState/RcsbFvStateManager.ts:18

## Methods

### next

- next<T, D>(state): void

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### state: RcsbFvStateType<T, D>

  #### Returns void

  Implementation of RcsbFvStateInterface.next

  - Defined in src/RcsbFvState/RcsbFvStateManager.ts:20

### subscribe

- subscribe<T, D>(o): Subscription

- #### Type Parameters

  - #### T

  - #### D

  #### Parameters

  - ##### o: ((state) => void)

    - - (state): void

      - #### Parameters

        - ##### state: RcsbFvStateType<T, D>

        #### Returns void

  #### Returns Subscription

  Implementation of RcsbFvStateInterface.subscribe

  - Defined in src/RcsbFvState/RcsbFvStateManager.ts:24

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of RcsbFvStateInterface.unsubscribe

  - Defined in src/RcsbFvState/RcsbFvStateManager.ts:28

Generated using TypeDoc